Subject: Re: Splash screen invisible to fvwm?

From: Dominik Vogt <[email-masked]>
Date: Thu, 3 Feb 2000 20:04:26 +0100

On Wed, Jan 26, 2000 at 01:48:07PM -0500, [email-masked] wrote:
> %% Dominik Vogt <[email-masked]> writes:
> 
>   dv> On Sat, Jan 15, 2000 at 10:37:42PM -0500, Paul D. Smith wrote:
>   >> %% Dominik Vogt <[email-masked]> writes:
> 
>   dv> Definitely an OverrideRedirect window.  The main problem with such
>   dv> windows is to realise that one of them has been created.  This is
>   dv> only possible with XQueryTree on the root window.  The
>   dv> RaiseOverUnmanaged hack should do exactly this when raising
>   dv> windows.  One pitfall may be that fvwm doesn't raise windows that
>   dv> are not covered by another managed window.  So it may be necessary
>   dv> to lower the window first or to cover it with another window.  I
>   dv> start to wonder if this logic is really as clever as I initially
>   dv> thought :-)
> 
>   >> But I _can't_ lower it or cover it with another window.  It comes
>   >> up in front of every window and, from FVWM's perspective, it's
>   >> completely invisible.  No raise will bring anything in front of it,
>   >> and no FVWM operation will work on it.
> 
>   dv> I meant you should try to lower or cover the window you want
>   dv> to raise above the splash screen first.
> 
> I did that: I cycled through every window with a RaiseLower command; I
> even tried iconfying/de-iconifying.  Nothing I have tried will cause an
> FVWM window to appear in front of that window :(

Did you stack several windows and tried to raise the lowest one too?

Can you check if the function raise_over_unmanaged() in stack.c is
called at all?  And are yue absolutely sure, you use

  BugOpts RaiseOverUnmanaged on

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Brad Giaccio <[email-masked]>
Date: Thu, 3 Feb 2000 14:11:06 -0500

>   BugOpts RaiseOverUnmanaged on

Dominik,

I just realized if you want to play with this yourself try downloading
netbeans, when you start it up, you get a splash screen that you can't
touch.

www.netbeans.com, although it reuires java to run.

Brad
 
-- 
--- There are two kinds of knowledge, you either know the answer or
			you know where to find it
		      -Kane, Johnson, and anonymous
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 3 Feb 2000 21:05:35 +0100

> www.netbeans.com, although it reuires java to run.

Um, can you refresh my memory on what the problematic application
was called?

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
The adjuration to be "normal" seems shockingly repellent to me; I see neither
hope nor comfort in sinking to that low level.  I think it is ignorance that
makes people think of abnormality only with horror and allows them to remain
undismayed at the proximity of "normal" to average and mediocre.  For surely
anyone who achieves anything is, essentially, abnormal.
                -- Dr. Karl Menninger, "The Human Mind", 1930

---

From: "Paul D. Smith" <[email-masked]>
Date: 03 Feb 2000 15:36:50 -0500

>> www.netbeans.com, although it reuires java to run.

  dv> Um, can you refresh my memory on what the problematic application
  dv> was called?

The one I'm working with is Clarify 6.x, which is not free and believe
me, you wouldn't want to download it even if it were :-/.

But Brad has apparently found another app, netbeans, which behaves the
same way.

-- 
-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
   These are my opinions---Nortel Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]